Loading...
Searching...
No Matches
pappso::XicPeptideFragmentIonNaturalIsotope Class Reference

`#include <xicpeptidefragmentionnaturalisotope.h>`

Inheritance diagram for pappso::XicPeptideFragmentIonNaturalIsotope:

## Public Member Functions

| XicPeptideFragmentIonNaturalIsotope (const MsRunId &msrun_id, const PeptideNaturalIsotopeAverageSp &naturalIsotopeAverageSp, const PeptideFragmentIonSp &peptideFragmentIonSp)
| XicPeptideFragmentIonNaturalIsotope (const XicPeptideFragmentIonNaturalIsotope &other)
unsigned int | getCharge () const
const PeptideNaturalIsotopeAverageSp & | getPeptideNaturalIsotopeAverageSp () const
const PeptideFragmentIonSp & | getPeptideFragmentIonSp () const
| ~XicPeptideFragmentIonNaturalIsotope ()
Public Member Functions inherited from pappso::QualifiedXic
| QualifiedXic (const MsRunId &msrun_id, pappso_double mz, PrecisionPtr precision)
virtual | ~QualifiedXic ()
| QualifiedXic (const QualifiedXic &toCopy)
pappso_double | getMz () const
const XicCstSPtr | getXicCstSPtr () const
const XicSPtr & | getXicSPtr () const

## Private Attributes

PeptideNaturalIsotopeAverageSp | msp_naturalIsotopeAverage
PeptideFragmentIonSp | msp_peptideFragmentIon

## Detailed Description

Definition at line 35 of file xicpeptidefragmentionnaturalisotope.h.

## Constructor & Destructor Documentation

## XicPeptideFragmentIonNaturalIsotope() [1/2]

pappso::XicPeptideFragmentIonNaturalIsotope::XicPeptideFragmentIonNaturalIsotope | ( | const MsRunId & | msrun_id,
|  | const PeptideNaturalIsotopeAverageSp & | naturalIsotopeAverageSp,
|  | const PeptideFragmentIonSp & | peptideFragmentIonSp
| ) |  |

Definition at line 29 of file xicpeptidefragmentionnaturalisotope.cpp.

: QualifiedXic(msrun_id,
naturalIsotopeAverageSp.get()->getMz(),
naturalIsotopeAverageSp.get()->getPrecision()),
msp_naturalIsotopeAverage(naturalIsotopeAverageSp),
msp_peptideFragmentIon(peptideFragmentIonSp)
{
qDebug() << "XicPeptideFragmentIonNaturalIsotope::"
"XicPeptideFragmentIonNaturalIsotope begin";
qDebug() << "XicPeptideFragmentIonNaturalIsotope::"
"XicPeptideFragmentIonNaturalIsotope 1 "
<< msp_naturalIsotopeAverage.get();
qDebug() << "XicPeptideFragmentIonNaturalIsotope::"
"XicPeptideFragmentIonNaturalIsotope 2 "
<< msp_peptideFragmentIon.get();
}
pappso::QualifiedXic::QualifiedXic
QualifiedXic(const MsRunId &msrun_id, pappso_double mz, PrecisionPtr precision)
Definition qualifiedxic.cpp:33
pappso::XicPeptideFragmentIonNaturalIsotope::msp_peptideFragmentIon
PeptideFragmentIonSp msp_peptideFragmentIon
Definition xicpeptidefragmentionnaturalisotope.h:39
pappso::XicPeptideFragmentIonNaturalIsotope::msp_naturalIsotopeAverage
PeptideNaturalIsotopeAverageSp msp_naturalIsotopeAverage
Definition xicpeptidefragmentionnaturalisotope.h:38

References msp_naturalIsotopeAverage, and msp_peptideFragmentIon.

## XicPeptideFragmentIonNaturalIsotope() [2/2]

pappso::XicPeptideFragmentIonNaturalIsotope::XicPeptideFragmentIonNaturalIsotope | ( | const XicPeptideFragmentIonNaturalIsotope & | other | ) |

Definition at line 55 of file xicpeptidefragmentionnaturalisotope.cpp.

: QualifiedXic(other)
{
qDebug() << "XicPeptideFragmentIonNaturalIsotope::"
"XicPeptideFragmentIonNaturalIsotope copy begin";
msp_naturalIsotopeAverage = other.msp_naturalIsotopeAverage;
msp_peptideFragmentIon = other.msp_peptideFragmentIon;
qDebug() << "XicPeptideFragmentIonNaturalIsotope::"
"XicPeptideFragmentIonNaturalIsotope copy end";
}

References msp_naturalIsotopeAverage, and msp_peptideFragmentIon.

## ~XicPeptideFragmentIonNaturalIsotope()

pappso::XicPeptideFragmentIonNaturalIsotope::~XicPeptideFragmentIonNaturalIsotope | ( |  | ) |

Definition at line 51 of file xicpeptidefragmentionnaturalisotope.cpp.

{
}

## Member Function Documentation

## getCharge()

unsigned int pappso::XicPeptideFragmentIonNaturalIsotope::getCharge | ( |  | ) | const

inline

Definition at line 51 of file xicpeptidefragmentionnaturalisotope.h.

{
return msp_naturalIsotopeAverage.get()->getCharge();
};

References msp_naturalIsotopeAverage.

## getPeptideFragmentIonSp()

const PeptideFragmentIonSp & pappso::XicPeptideFragmentIonNaturalIsotope::getPeptideFragmentIonSp | ( |  | ) | const

inline

Definition at line 63 of file xicpeptidefragmentionnaturalisotope.h.

{
return msp_peptideFragmentIon;
};

References msp_peptideFragmentIon.

## getPeptideNaturalIsotopeAverageSp()

const PeptideNaturalIsotopeAverageSp & pappso::XicPeptideFragmentIonNaturalIsotope::getPeptideNaturalIsotopeAverageSp | ( |  | ) | const

inline

Definition at line 57 of file xicpeptidefragmentionnaturalisotope.h.

{
return msp_naturalIsotopeAverage;
};

References msp_naturalIsotopeAverage.

## Member Data Documentation

## msp_naturalIsotopeAverage

PeptideNaturalIsotopeAverageSp pappso::XicPeptideFragmentIonNaturalIsotope::msp_naturalIsotopeAverage

private

Definition at line 38 of file xicpeptidefragmentionnaturalisotope.h.

Referenced by XicPeptideFragmentIonNaturalIsotope(), XicPeptideFragmentIonNaturalIsotope(), getCharge(), and getPeptideNaturalIsotopeAverageSp().

## msp_peptideFragmentIon

PeptideFragmentIonSp pappso::XicPeptideFragmentIonNaturalIsotope::msp_peptideFragmentIon

private

Definition at line 39 of file xicpeptidefragmentionnaturalisotope.h.

Referenced by XicPeptideFragmentIonNaturalIsotope(), XicPeptideFragmentIonNaturalIsotope(), and getPeptideFragmentIonSp().

The documentation for this class was generated from the following files:

- pappsomspp/xic/xicpeptidefragmentionnaturalisotope.h
- pappsomspp/xic/xicpeptidefragmentionnaturalisotope.cpp